-- 基础信息
base_info = {
	group_id = 247003015
}

-- DEFS_MISCS
local GroupId = 247003015
local point_id_list = {}
local MainGroupID = 247003001
local RegionID = 15001

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
}

-- 区域
regions = {
	{ config_id = 15001, shape = RegionShape.CUBIC, size = { x = 40.000, y = 25.000, z = 40.000 }, pos = { x = 159.953, y = 0.150, z = 160.582 } }
}

-- 触发器
triggers = {
	{ config_id = 1015001, name = "ENTER_REGION_15001", event = EventType.EVENT_ENTER_REGION, source = "", condition = "", action = "" }
}

-- 点位
points = {
	{ config_id = 15002, pos = { x = 172.935, y = 0.139, z = 160.096 }, rot = { x = 0.000, y = 272.190, z = 0.000 }, tag = 2 },
	{ config_id = 15003, pos = { x = 172.348, y = 0.139, z = 163.116 }, rot = { x = 0.000, y = 272.190, z = 0.000 }, tag = 2 },
	{ config_id = 15004, pos = { x = 172.226, y = 0.139, z = 156.894 }, rot = { x = 0.000, y = 272.190, z = 0.000 }, tag = 2 },
	{ config_id = 15005, pos = { x = 171.290, y = 0.139, z = 167.071 }, rot = { x = 0.000, y = 272.190, z = 0.000 }, tag = 2 },
	{ config_id = 15006, pos = { x = 170.305, y = 0.139, z = 153.026 }, rot = { x = 0.000, y = 272.190, z = 0.000 }, tag = 2 },
	{ config_id = 15007, pos = { x = 168.886, y = 0.139, z = 169.612 }, rot = { x = 0.000, y = 272.190, z = 0.000 }, tag = 2 },
	{ config_id = 15008, pos = { x = 168.149, y = 0.139, z = 149.871 }, rot = { x = 0.000, y = 272.190, z = 0.000 }, tag = 2 },
	{ config_id = 15009, pos = { x = 166.384, y = 0.139, z = 170.520 }, rot = { x = 0.000, y = 182.190, z = 0.000 }, tag = 2 },
	{ config_id = 15010, pos = { x = 165.246, y = 0.139, z = 149.869 }, rot = { x = 0.000, y = 2.190, z = 0.000 }, tag = 2 },
	{ config_id = 15011, pos = { x = 163.294, y = 0.139, z = 170.689 }, rot = { x = 0.000, y = 182.190, z = 0.000 }, tag = 2 },
	{ config_id = 15012, pos = { x = 171.620, y = 0.139, z = 160.077 }, rot = { x = 0.000, y = 272.190, z = 0.000 }, tag = 4 },
	{ config_id = 15013, pos = { x = 169.843, y = 0.139, z = 165.044 }, rot = { x = 0.000, y = 272.190, z = 0.000 }, tag = 4 },
	{ config_id = 15014, pos = { x = 169.636, y = 0.139, z = 155.095 }, rot = { x = 0.000, y = 272.190, z = 0.000 }, tag = 4 },
	{ config_id = 15015, pos = { x = 166.878, y = 0.139, z = 168.561 }, rot = { x = 0.000, y = 212.190, z = 0.000 }, tag = 4 },
	{ config_id = 15016, pos = { x = 165.187, y = 0.139, z = 151.076 }, rot = { x = 0.000, y = 2.190, z = 0.000 }, tag = 4 },
	{ config_id = 15017, pos = { x = 161.209, y = 0.139, z = 168.328 }, rot = { x = 0.000, y = 172.190, z = 0.000 }, tag = 4 },
	{ config_id = 15018, pos = { x = 159.299, y = 0.139, z = 151.890 }, rot = { x = 0.000, y = 2.190, z = 0.000 }, tag = 4 },
	{ config_id = 15019, pos = { x = 157.285, y = 0.139, z = 165.468 }, rot = { x = 0.000, y = 152.190, z = 0.000 }, tag = 4 },
	{ config_id = 15020, pos = { x = 156.091, y = 0.139, z = 155.435 }, rot = { x = 0.000, y = 32.190, z = 0.000 }, tag = 4 },
	{ config_id = 15021, pos = { x = 154.238, y = 0.139, z = 160.750 }, rot = { x = 0.000, y = 92.190, z = 0.000 }, tag = 4 },
	{ config_id = 15022, pos = { x = 172.345, y = 0.139, z = 170.072 }, rot = { x = 0.000, y = 272.190, z = 0.000 }, tag = 8 },
	{ config_id = 15023, pos = { x = 171.578, y = 0.139, z = 150.020 }, rot = { x = 0.000, y = 272.190, z = 0.000 }, tag = 8 },
	{ config_id = 15024, pos = { x = 153.333, y = 0.139, z = 170.799 }, rot = { x = 0.000, y = 92.190, z = 0.000 }, tag = 8 },
	{ config_id = 15025, pos = { x = 152.566, y = 0.139, z = 150.747 }, rot = { x = 0.000, y = 92.190, z = 0.000 }, tag = 8 },
	{ config_id = 15026, pos = { x = 172.279, y = 0.139, z = 168.339 }, rot = { x = 0.000, y = 272.190, z = 0.000 }, tag = 8 },
	{ config_id = 15027, pos = { x = 171.512, y = 0.139, z = 148.287 }, rot = { x = 0.000, y = 272.190, z = 0.000 }, tag = 8 },
	{ config_id = 15028, pos = { x = 153.267, y = 0.139, z = 169.066 }, rot = { x = 0.000, y = 92.190, z = 0.000 }, tag = 8 },
	{ config_id = 15029, pos = { x = 152.500, y = 0.139, z = 149.014 }, rot = { x = 0.000, y = 92.190, z = 0.000 }, tag = 8 },
	{ config_id = 15030, pos = { x = 172.447, y = 0.139, z = 172.752 }, rot = { x = 0.000, y = 272.190, z = 0.000 }, tag = 8 },
	{ config_id = 15031, pos = { x = 171.681, y = 0.139, z = 152.700 }, rot = { x = 0.000, y = 272.190, z = 0.000 }, tag = 8 },
	{ config_id = 15032, pos = { x = 153.436, y = 0.139, z = 173.479 }, rot = { x = 0.000, y = 92.190, z = 0.000 }, tag = 8 },
	{ config_id = 15033, pos = { x = 152.669, y = 0.139, z = 153.427 }, rot = { x = 0.000, y = 92.190, z = 0.000 }, tag = 8 },
	{ config_id = 15034, pos = { x = 166.022, y = 0.139, z = 161.487 }, rot = { x = 0.000, y = 272.190, z = 0.000 }, tag = 16 },
	{ config_id = 15035, pos = { x = 165.936, y = 0.139, z = 159.256 }, rot = { x = 0.000, y = 272.190, z = 0.000 }, tag = 16 },
	{ config_id = 15036, pos = { x = 166.095, y = 0.139, z = 163.399 }, rot = { x = 0.000, y = 272.190, z = 0.000 }, tag = 16 },
	{ config_id = 15037, pos = { x = 165.858, y = 0.139, z = 157.212 }, rot = { x = 0.000, y = 272.190, z = 0.000 }, tag = 16 },
	{ config_id = 15038, pos = { x = 166.166, y = 0.139, z = 165.269 }, rot = { x = 0.000, y = 272.190, z = 0.000 }, tag = 16 },
	{ config_id = 15039, pos = { x = 165.788, y = 0.139, z = 155.375 }, rot = { x = 0.000, y = 272.190, z = 0.000 }, tag = 16 },
	{ config_id = 15040, pos = { x = 163.730, y = 0.139, z = 163.606 }, rot = { x = 0.000, y = 272.190, z = 0.000 }, tag = 16 },
	{ config_id = 15041, pos = { x = 163.499, y = 0.139, z = 157.564 }, rot = { x = 0.000, y = 272.190, z = 0.000 }, tag = 16 },
	{ config_id = 15042, pos = { x = 163.567, y = 0.139, z = 159.347 }, rot = { x = 0.000, y = 272.190, z = 0.000 }, tag = 16 },
	{ config_id = 15043, pos = { x = 163.652, y = 0.139, z = 161.578 }, rot = { x = 0.000, y = 272.190, z = 0.000 }, tag = 16 },
	{ config_id = 15044, pos = { x = 167.291, y = 0.168, z = 160.233 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 32 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { 15001 },
		triggers = { "ENTER_REGION_15001" },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_2/RogueDungeon_Require"
